package podstawy_plikow;

import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.time.LocalTime;
import java.util.logging.Level;
import java.util.logging.Logger;

// "C:/users/kurs/Desktop/wynik.txt"

public class Zapisz {
    public static void main(String[] args) {
        try(PrintWriter out = new PrintWriter("wynik.txt")) {
            // wewnątrz try piszemy scenariusz pozytywny
            // tutaj dodatkowo możemy korzystać ze zmiennej out, która służy pisaniu do pliku
            // gdy wyjdziemy z try, to plik się "zamknie"
            out.println("Pierwsza linia pliku");
            out.println("Druga linia");
            out.println("Wynik działania: " + (2 + 3 * 4));
            out.println("Czas zapisu: " + LocalTime.now());
        } catch (FileNotFoundException ex) {
            // wewnątrz catch piszemy co zrobić w razie błędu
            Logger.getLogger(Zapisz.class.getName()).log(Level.SEVERE, null, ex);
            // prościej: ex.printStackTrace();
        }
    }
}
