package jedenasty_kwietnia;

import java.util.Map;
import java.util.Scanner;
import java.util.TreeMap;

// Ten program ma pokazać czym są "słowniki" (które w Javie nazywają się "Map")
public class ProgramSklepowy {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        // słownik / mapa przechowuje pary klucz-wartość, np. u nas produkt i jego cena
        Map<String, Integer> cennik = new TreeMap<>();
        // dodajemy przykładowe produkty
        cennik.put("cola", 7);
        cennik.put("soczek", 3);
        // można więcej
        System.out.println("produkty:");
        cennik.forEach((towar, cena) -> {
            System.out.println(" * " + towar + " za " + cena + " zl");
        });

        int suma = 0;
        while(true) {
            System.out.print("Co chcesz kupic? ");
            String towar = scanner.nextLine();
            if(towar.isEmpty()) break;
            if(! cennik.containsKey(towar)) {
                System.out.println("Nie ma takiego towaru");
                continue;
            }
            int cena = cennik.get(towar);
            System.out.println(towar + " kosztuje " + cena + " zl za sztuke");
            System.out.print("Ile sztuk kupujesz? ");
            int ile = scanner.nextInt();
            scanner.nextLine(); // zeby scanner przeszedl do nast linii
            int koszt = cena * ile;
            System.out.println("Za ten towar placisz " + koszt + " zl");
            suma += koszt;
        }
        System.out.println("Lacznie do zaplaty: " + suma + " zl");
    }
}
