package klasy;

import java.util.ArrayList;
import java.util.List;

public class Uczen {
    // Tutaj deklarujemy zmienne (na które się też mówi "pole"/"field" albo "atrybut")
    // To są takie rzeczy, które będzie posiadać każdy uczeń (każdy obiekt tej klasy).
    String imie, nazwisko;
    String klasa;
    int rocznik;
    List<Integer> oceny = new ArrayList<>();

    // Konstruktory - określają, w jaki sposób będzie można tworzyć obiekty
    public Uczen() {
    }

    public Uczen(String imie, String nazwisko, String klasa, int rocznik) {
        this.imie = imie;
        this.nazwisko = nazwisko;
        this.klasa = klasa;
        this.rocznik = rocznik;
    }

    public String toString() {
        return imie + " " + nazwisko + " z klasy " + klasa;
    }

    public void dodajOcene(int ocena) {
        oceny.add(ocena);
    }

    public double sredniaOcen() {
        double suma = 0;
        for(Integer ocena : oceny) {
            suma += ocena;
        }
        return suma / oceny.size();
    }

}
